PTHREAD_MUTEXATTR_GETKIND_NP(3)

NAME
pthread_mutexattr_getkind_np, pthread_mutexattr_setkind_np - mutex attribute operations (legacy)

LIBRARY
libpthread

SYNOPSIS
#include <pthread_np.h>
int
pthread_mutexattr_getkind_np(pthread_mutexattr_t attr);
int
pthread_mutexattr_setkind_np(pthread_mutexattr_t *attr, int kind);

DESCRIPTION
These functions are deprecated and non-portable implementation of the mutex type manipulation.

It is recommended to use the pthread_mutexattr_gettype(3) and pthread_mutexattr_settype(3) functions instead.

RETURN VALUES
The pthread_mutexattr_getkind_np() function returns a positive value representing the “kind” of the mutex attribute attr if successful; otherwise the value -1 is returned and the global variable errno is set to indicate the error.

ERRORS
The pthread_mutexattr_getkind_np() and pthread_mutexattr_setkind_np() functions will fail if:

[EINVAL]
    The value specified by attr is invalid.

SEE ALSO
pthread_mutexattr_gettype(3), pthread_mutexattr_settype(3), pthread_mutex_destroy(3), pthread_mutex_init(3)